package org.openxma.dsl.core.parser.antlr.lexer;

// Hack: Use our own Lexer superclass by means of import. 
// Currently there is no other way to specify the superclass for the lexer.
import org.eclipse.xtext.parser.antlr.Lexer;


import org.antlr.runtime.*;
import java.util.Stack;
import java.util.List;
import java.util.ArrayList;

@SuppressWarnings("all")
public class InternalCoreDslLexer extends Lexer {
    public static final int RULE_ID=58;
    public static final int RULE_ANY_OTHER=64;
    public static final int KEYWORD_19=44;
    public static final int KEYWORD_54=4;
    public static final int KEYWORD_17=42;
    public static final int KEYWORD_53=5;
    public static final int KEYWORD_18=43;
    public static final int KEYWORD_52=6;
    public static final int KEYWORD_15=40;
    public static final int KEYWORD_51=8;
    public static final int KEYWORD_16=41;
    public static final int KEYWORD_13=57;
    public static final int KEYWORD_50=7;
    public static final int KEYWORD_14=39;
    public static final int KEYWORD_11=55;
    public static final int KEYWORD_12=56;
    public static final int EOF=-1;
    public static final int KEYWORD_10=54;
    public static final int KEYWORD_6=50;
    public static final int KEYWORD_7=51;
    public static final int KEYWORD_8=52;
    public static final int KEYWORD_9=53;
    public static final int KEYWORD_28=35;
    public static final int KEYWORD_29=28;
    public static final int RULE_INT=59;
    public static final int KEYWORD_24=31;
    public static final int KEYWORD_25=32;
    public static final int KEYWORD_26=33;
    public static final int KEYWORD_27=34;
    public static final int KEYWORD_20=36;
    public static final int KEYWORD_21=37;
    public static final int KEYWORD_22=38;
    public static final int KEYWORD_23=30;
    public static final int KEYWORD_1=45;
    public static final int KEYWORD_30=29;
    public static final int KEYWORD_5=49;
    public static final int KEYWORD_34=25;
    public static final int KEYWORD_4=48;
    public static final int KEYWORD_33=24;
    public static final int KEYWORD_3=47;
    public static final int KEYWORD_32=23;
    public static final int KEYWORD_2=46;
    public static final int KEYWORD_31=22;
    public static final int KEYWORD_38=20;
    public static final int Tokens=65;
    public static final int RULE_SL_COMMENT=62;
    public static final int KEYWORD_37=19;
    public static final int KEYWORD_36=27;
    public static final int KEYWORD_35=26;
    public static final int RULE_ML_COMMENT=61;
    public static final int KEYWORD_39=21;
    public static final int RULE_STRING=60;
    public static final int KEYWORD_41=15;
    public static final int KEYWORD_40=14;
    public static final int KEYWORD_43=17;
    public static final int KEYWORD_42=16;
    public static final int KEYWORD_45=11;
    public static final int KEYWORD_44=18;
    public static final int RULE_WS=63;
    public static final int KEYWORD_47=13;
    public static final int KEYWORD_46=12;
    public static final int KEYWORD_49=10;
    public static final int KEYWORD_48=9;
    public InternalCoreDslLexer() {;} 
    public InternalCoreDslLexer(CharStream input) {
        super(input);
    }
    public String getGrammarFileName() { return "../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g"; }

    // $ANTLR start KEYWORD_54
    public final void mKEYWORD_54() throws RecognitionException {
        try {
            int _type = KEYWORD_54;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:19:12: ( 'getSelectionCount()' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:19:14: 'getSelectionCount()'
            {
            match("getSelectionCount()"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_54

    // $ANTLR start KEYWORD_53
    public final void mKEYWORD_53() throws RecognitionException {
        try {
            int _type = KEYWORD_53;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:21:12: ( 'getSelectedValue()' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:21:14: 'getSelectedValue()'
            {
            match("getSelectedValue()"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_53

    // $ANTLR start KEYWORD_52
    public final void mKEYWORD_52() throws RecognitionException {
        try {
            int _type = KEYWORD_52;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:23:12: ( 'instanceclass' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:23:14: 'instanceclass'
            {
            match("instanceclass"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_52

    // $ANTLR start KEYWORD_50
    public final void mKEYWORD_50() throws RecognitionException {
        try {
            int _type = KEYWORD_50;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:25:12: ( 'instancetype' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:25:14: 'instancetype'
            {
            match("instancetype"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_50

    // $ANTLR start KEYWORD_51
    public final void mKEYWORD_51() throws RecognitionException {
        try {
            int _type = KEYWORD_51;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:27:12: ( 'isSelected()' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:27:14: 'isSelected()'
            {
            match("isSelected()"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_51

    // $ANTLR start KEYWORD_48
    public final void mKEYWORD_48() throws RecognitionException {
        try {
            int _type = KEYWORD_48;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:29:12: ( 'enumeration' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:29:14: 'enumeration'
            {
            match("enumeration"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_48

    // $ANTLR start KEYWORD_49
    public final void mKEYWORD_49() throws RecognitionException {
        try {
            int _type = KEYWORD_49;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:31:12: ( 'incrementer' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:31:14: 'incrementer'
            {
            match("incrementer"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_49

    // $ANTLR start KEYWORD_45
    public final void mKEYWORD_45() throws RecognitionException {
        try {
            int _type = KEYWORD_45;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:33:12: ( 'getValue()' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:33:14: 'getValue()'
            {
            match("getValue()"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_45

    // $ANTLR start KEYWORD_46
    public final void mKEYWORD_46() throws RecognitionException {
        try {
            int _type = KEYWORD_46;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:35:12: ( 'hasValue()' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:35:14: 'hasValue()'
            {
            match("hasValue()"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_46

    // $ANTLR start KEYWORD_47
    public final void mKEYWORD_47() throws RecognitionException {
        try {
            int _type = KEYWORD_47;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:37:12: ( 'validation' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:37:14: 'validation'
            {
            match("validation"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_47

    // $ANTLR start KEYWORD_40
    public final void mKEYWORD_40() throws RecognitionException {
        try {
            int _type = KEYWORD_40;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:39:12: ( 'isValid()' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:39:14: 'isValid()'
            {
            match("isValid()"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_40

    // $ANTLR start KEYWORD_41
    public final void mKEYWORD_41() throws RecognitionException {
        try {
            int _type = KEYWORD_41;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:41:12: ( 'namespace' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:41:14: 'namespace'
            {
            match("namespace"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_41

    // $ANTLR start KEYWORD_42
    public final void mKEYWORD_42() throws RecognitionException {
        try {
            int _type = KEYWORD_42;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:43:12: ( 'redefines' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:43:14: 'redefines'
            {
            match("redefines"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_42

    // $ANTLR start KEYWORD_43
    public final void mKEYWORD_43() throws RecognitionException {
        try {
            int _type = KEYWORD_43;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:45:12: ( 'timestamp' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:45:14: 'timestamp'
            {
            match("timestamp"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_43

    // $ANTLR start KEYWORD_44
    public final void mKEYWORD_44() throws RecognitionException {
        try {
            int _type = KEYWORD_44;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:47:12: ( 'validator' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:47:14: 'validator'
            {
            match("validator"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_44

    // $ANTLR start KEYWORD_37
    public final void mKEYWORD_37() throws RecognitionException {
        try {
            int _type = KEYWORD_37;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:49:12: ( 'boolean' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:49:14: 'boolean'
            {
            match("boolean"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_37

    // $ANTLR start KEYWORD_38
    public final void mKEYWORD_38() throws RecognitionException {
        try {
            int _type = KEYWORD_38;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:51:12: ( 'integer' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:51:14: 'integer'
            {
            match("integer"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_38

    // $ANTLR start KEYWORD_39
    public final void mKEYWORD_39() throws RecognitionException {
        try {
            int _type = KEYWORD_39;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:53:12: ( 'sqltype' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:53:14: 'sqltype'
            {
            match("sqltype"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_39

    // $ANTLR start KEYWORD_31
    public final void mKEYWORD_31() throws RecognitionException {
        try {
            int _type = KEYWORD_31;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:55:12: ( 'domain' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:55:14: 'domain'
            {
            match("domain"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_31

    // $ANTLR start KEYWORD_32
    public final void mKEYWORD_32() throws RecognitionException {
        try {
            int _type = KEYWORD_32;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:57:12: ( 'editor' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:57:14: 'editor'
            {
            match("editor"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_32

    // $ANTLR start KEYWORD_33
    public final void mKEYWORD_33() throws RecognitionException {
        try {
            int _type = KEYWORD_33;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:59:12: ( 'import' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:59:14: 'import'
            {
            match("import"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_33

    // $ANTLR start KEYWORD_34
    public final void mKEYWORD_34() throws RecognitionException {
        try {
            int _type = KEYWORD_34;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:61:12: ( 'number' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:61:14: 'number'
            {
            match("number"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_34

    // $ANTLR start KEYWORD_35
    public final void mKEYWORD_35() throws RecognitionException {
        try {
            int _type = KEYWORD_35;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:63:12: ( 'size()' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:63:14: 'size()'
            {
            match("size()"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_35

    // $ANTLR start KEYWORD_36
    public final void mKEYWORD_36() throws RecognitionException {
        try {
            int _type = KEYWORD_36;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:65:12: ( 'string' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:65:14: 'string'
            {
            match("string"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_36

    // $ANTLR start KEYWORD_29
    public final void mKEYWORD_29() throws RecognitionException {
        try {
            int _type = KEYWORD_29;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:67:12: ( 'false' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:67:14: 'false'
            {
            match("false"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_29

    // $ANTLR start KEYWORD_30
    public final void mKEYWORD_30() throws RecognitionException {
        try {
            int _type = KEYWORD_30;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:69:12: ( 'style' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:69:14: 'style'
            {
            match("style"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_30

    // $ANTLR start KEYWORD_23
    public final void mKEYWORD_23() throws RecognitionException {
        try {
            int _type = KEYWORD_23;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:71:12: ( 'date' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:71:14: 'date'
            {
            match("date"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_23

    // $ANTLR start KEYWORD_24
    public final void mKEYWORD_24() throws RecognitionException {
        try {
            int _type = KEYWORD_24;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:73:12: ( 'doc:' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:73:14: 'doc:'
            {
            match("doc:"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_24

    // $ANTLR start KEYWORD_25
    public final void mKEYWORD_25() throws RecognitionException {
        try {
            int _type = KEYWORD_25;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:75:12: ( 'enum' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:75:14: 'enum'
            {
            match("enum"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_25

    // $ANTLR start KEYWORD_26
    public final void mKEYWORD_26() throws RecognitionException {
        try {
            int _type = KEYWORD_26;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:77:12: ( 'null' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:77:14: 'null'
            {
            match("null"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_26

    // $ANTLR start KEYWORD_27
    public final void mKEYWORD_27() throws RecognitionException {
        try {
            int _type = KEYWORD_27;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:79:12: ( 'true' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:79:14: 'true'
            {
            match("true"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_27

    // $ANTLR start KEYWORD_28
    public final void mKEYWORD_28() throws RecognitionException {
        try {
            int _type = KEYWORD_28;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:81:12: ( 'type' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:81:14: 'type'
            {
            match("type"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_28

    // $ANTLR start KEYWORD_20
    public final void mKEYWORD_20() throws RecognitionException {
        try {
            int _type = KEYWORD_20;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:83:12: ( '...' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:83:14: '...'
            {
            match("..."); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_20

    // $ANTLR start KEYWORD_21
    public final void mKEYWORD_21() throws RecognitionException {
        try {
            int _type = KEYWORD_21;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:85:12: ( 'and' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:85:14: 'and'
            {
            match("and"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_21

    // $ANTLR start KEYWORD_22
    public final void mKEYWORD_22() throws RecognitionException {
        try {
            int _type = KEYWORD_22;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:87:12: ( 'ddl' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:87:14: 'ddl'
            {
            match("ddl"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_22

    // $ANTLR start KEYWORD_14
    public final void mKEYWORD_14() throws RecognitionException {
        try {
            int _type = KEYWORD_14;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:89:12: ( '!=' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:89:14: '!='
            {
            match("!="); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_14

    // $ANTLR start KEYWORD_15
    public final void mKEYWORD_15() throws RecognitionException {
        try {
            int _type = KEYWORD_15;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:91:12: ( '.*' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:91:14: '.*'
            {
            match(".*"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_15

    // $ANTLR start KEYWORD_16
    public final void mKEYWORD_16() throws RecognitionException {
        try {
            int _type = KEYWORD_16;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:93:12: ( '<=' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:93:14: '<='
            {
            match("<="); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_16

    // $ANTLR start KEYWORD_17
    public final void mKEYWORD_17() throws RecognitionException {
        try {
            int _type = KEYWORD_17;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:95:12: ( '==' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:95:14: '=='
            {
            match("=="); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_17

    // $ANTLR start KEYWORD_18
    public final void mKEYWORD_18() throws RecognitionException {
        try {
            int _type = KEYWORD_18;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:97:12: ( '>=' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:97:14: '>='
            {
            match(">="); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_18

    // $ANTLR start KEYWORD_19
    public final void mKEYWORD_19() throws RecognitionException {
        try {
            int _type = KEYWORD_19;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:99:12: ( 'or' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:99:14: 'or'
            {
            match("or"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_19

    // $ANTLR start KEYWORD_1
    public final void mKEYWORD_1() throws RecognitionException {
        try {
            int _type = KEYWORD_1;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:101:11: ( '(' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:101:13: '('
            {
            match('('); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_1

    // $ANTLR start KEYWORD_2
    public final void mKEYWORD_2() throws RecognitionException {
        try {
            int _type = KEYWORD_2;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:103:11: ( ')' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:103:13: ')'
            {
            match(')'); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_2

    // $ANTLR start KEYWORD_3
    public final void mKEYWORD_3() throws RecognitionException {
        try {
            int _type = KEYWORD_3;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:105:11: ( '*' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:105:13: '*'
            {
            match('*'); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_3

    // $ANTLR start KEYWORD_4
    public final void mKEYWORD_4() throws RecognitionException {
        try {
            int _type = KEYWORD_4;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:107:11: ( '+' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:107:13: '+'
            {
            match('+'); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_4

    // $ANTLR start KEYWORD_5
    public final void mKEYWORD_5() throws RecognitionException {
        try {
            int _type = KEYWORD_5;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:109:11: ( ',' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:109:13: ','
            {
            match(','); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_5

    // $ANTLR start KEYWORD_6
    public final void mKEYWORD_6() throws RecognitionException {
        try {
            int _type = KEYWORD_6;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:111:11: ( '-' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:111:13: '-'
            {
            match('-'); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_6

    // $ANTLR start KEYWORD_7
    public final void mKEYWORD_7() throws RecognitionException {
        try {
            int _type = KEYWORD_7;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:113:11: ( '.' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:113:13: '.'
            {
            match('.'); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_7

    // $ANTLR start KEYWORD_8
    public final void mKEYWORD_8() throws RecognitionException {
        try {
            int _type = KEYWORD_8;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:115:11: ( '/' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:115:13: '/'
            {
            match('/'); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_8

    // $ANTLR start KEYWORD_9
    public final void mKEYWORD_9() throws RecognitionException {
        try {
            int _type = KEYWORD_9;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:117:11: ( '<' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:117:13: '<'
            {
            match('<'); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_9

    // $ANTLR start KEYWORD_10
    public final void mKEYWORD_10() throws RecognitionException {
        try {
            int _type = KEYWORD_10;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:119:12: ( '=' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:119:14: '='
            {
            match('='); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_10

    // $ANTLR start KEYWORD_11
    public final void mKEYWORD_11() throws RecognitionException {
        try {
            int _type = KEYWORD_11;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:121:12: ( '>' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:121:14: '>'
            {
            match('>'); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_11

    // $ANTLR start KEYWORD_12
    public final void mKEYWORD_12() throws RecognitionException {
        try {
            int _type = KEYWORD_12;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:123:12: ( '{' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:123:14: '{'
            {
            match('{'); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_12

    // $ANTLR start KEYWORD_13
    public final void mKEYWORD_13() throws RecognitionException {
        try {
            int _type = KEYWORD_13;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:125:12: ( '}' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:125:14: '}'
            {
            match('}'); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end KEYWORD_13

    // $ANTLR start RULE_ID
    public final void mRULE_ID() throws RecognitionException {
        try {
            int _type = RULE_ID;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:129:9: ( ( '^' )? ( 'a' .. 'z' | 'A' .. 'Z' | '_' ) ( 'a' .. 'z' | 'A' .. 'Z' | '_' | '0' .. '9' )* )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:129:11: ( '^' )? ( 'a' .. 'z' | 'A' .. 'Z' | '_' ) ( 'a' .. 'z' | 'A' .. 'Z' | '_' | '0' .. '9' )*
            {
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:129:11: ( '^' )?
            int alt1=2;
            int LA1_0 = input.LA(1);

            if ( (LA1_0=='^') ) {
                alt1=1;
            }
            switch (alt1) {
                case 1 :
                    // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:129:11: '^'
                    {
                    match('^'); 

                    }
                    break;

            }

            if ( (input.LA(1)>='A' && input.LA(1)<='Z')||input.LA(1)=='_'||(input.LA(1)>='a' && input.LA(1)<='z') ) {
                input.consume();

            }
            else {
                MismatchedSetException mse =
                    new MismatchedSetException(null,input);
                recover(mse);    throw mse;
            }

            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:129:40: ( 'a' .. 'z' | 'A' .. 'Z' | '_' | '0' .. '9' )*
            loop2:
            do {
                int alt2=2;
                int LA2_0 = input.LA(1);

                if ( ((LA2_0>='0' && LA2_0<='9')||(LA2_0>='A' && LA2_0<='Z')||LA2_0=='_'||(LA2_0>='a' && LA2_0<='z')) ) {
                    alt2=1;
                }


                switch (alt2) {
            	case 1 :
            	    // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:
            	    {
            	    if ( (input.LA(1)>='0' && input.LA(1)<='9')||(input.LA(1)>='A' && input.LA(1)<='Z')||input.LA(1)=='_'||(input.LA(1)>='a' && input.LA(1)<='z') ) {
            	        input.consume();

            	    }
            	    else {
            	        MismatchedSetException mse =
            	            new MismatchedSetException(null,input);
            	        recover(mse);    throw mse;
            	    }


            	    }
            	    break;

            	default :
            	    break loop2;
                }
            } while (true);


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end RULE_ID

    // $ANTLR start RULE_INT
    public final void mRULE_INT() throws RecognitionException {
        try {
            int _type = RULE_INT;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:131:10: ( ( '0' .. '9' )+ )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:131:12: ( '0' .. '9' )+
            {
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:131:12: ( '0' .. '9' )+
            int cnt3=0;
            loop3:
            do {
                int alt3=2;
                int LA3_0 = input.LA(1);

                if ( ((LA3_0>='0' && LA3_0<='9')) ) {
                    alt3=1;
                }


                switch (alt3) {
            	case 1 :
            	    // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:131:13: '0' .. '9'
            	    {
            	    matchRange('0','9'); 

            	    }
            	    break;

            	default :
            	    if ( cnt3 >= 1 ) break loop3;
                        EarlyExitException eee =
                            new EarlyExitException(3, input);
                        throw eee;
                }
                cnt3++;
            } while (true);


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end RULE_INT

    // $ANTLR start RULE_STRING
    public final void mRULE_STRING() throws RecognitionException {
        try {
            int _type = RULE_STRING;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:133:13: ( ( '\"' ( '\\\\' ( 'b' | 't' | 'n' | 'f' | 'r' | '\"' | '\\'' | '\\\\' ) | ~ ( ( '\\\\' | '\"' ) ) )* '\"' | '\\'' ( '\\\\' ( 'b' | 't' | 'n' | 'f' | 'r' | '\"' | '\\'' | '\\\\' ) | ~ ( ( '\\\\' | '\\'' ) ) )* '\\'' ) )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:133:15: ( '\"' ( '\\\\' ( 'b' | 't' | 'n' | 'f' | 'r' | '\"' | '\\'' | '\\\\' ) | ~ ( ( '\\\\' | '\"' ) ) )* '\"' | '\\'' ( '\\\\' ( 'b' | 't' | 'n' | 'f' | 'r' | '\"' | '\\'' | '\\\\' ) | ~ ( ( '\\\\' | '\\'' ) ) )* '\\'' )
            {
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:133:15: ( '\"' ( '\\\\' ( 'b' | 't' | 'n' | 'f' | 'r' | '\"' | '\\'' | '\\\\' ) | ~ ( ( '\\\\' | '\"' ) ) )* '\"' | '\\'' ( '\\\\' ( 'b' | 't' | 'n' | 'f' | 'r' | '\"' | '\\'' | '\\\\' ) | ~ ( ( '\\\\' | '\\'' ) ) )* '\\'' )
            int alt6=2;
            int LA6_0 = input.LA(1);

            if ( (LA6_0=='\"') ) {
                alt6=1;
            }
            else if ( (LA6_0=='\'') ) {
                alt6=2;
            }
            else {
                NoViableAltException nvae =
                    new NoViableAltException("133:15: ( '\"' ( '\\\\' ( 'b' | 't' | 'n' | 'f' | 'r' | '\"' | '\\'' | '\\\\' ) | ~ ( ( '\\\\' | '\"' ) ) )* '\"' | '\\'' ( '\\\\' ( 'b' | 't' | 'n' | 'f' | 'r' | '\"' | '\\'' | '\\\\' ) | ~ ( ( '\\\\' | '\\'' ) ) )* '\\'' )", 6, 0, input);

                throw nvae;
            }
            switch (alt6) {
                case 1 :
                    // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:133:16: '\"' ( '\\\\' ( 'b' | 't' | 'n' | 'f' | 'r' | '\"' | '\\'' | '\\\\' ) | ~ ( ( '\\\\' | '\"' ) ) )* '\"'
                    {
                    match('\"'); 
                    // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:133:20: ( '\\\\' ( 'b' | 't' | 'n' | 'f' | 'r' | '\"' | '\\'' | '\\\\' ) | ~ ( ( '\\\\' | '\"' ) ) )*
                    loop4:
                    do {
                        int alt4=3;
                        int LA4_0 = input.LA(1);

                        if ( (LA4_0=='\\') ) {
                            alt4=1;
                        }
                        else if ( ((LA4_0>='\u0000' && LA4_0<='!')||(LA4_0>='#' && LA4_0<='[')||(LA4_0>=']' && LA4_0<='\uFFFE')) ) {
                            alt4=2;
                        }


                        switch (alt4) {
                    	case 1 :
                    	    // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:133:21: '\\\\' ( 'b' | 't' | 'n' | 'f' | 'r' | '\"' | '\\'' | '\\\\' )
                    	    {
                    	    match('\\'); 
                    	    if ( input.LA(1)=='\"'||input.LA(1)=='\''||input.LA(1)=='\\'||input.LA(1)=='b'||input.LA(1)=='f'||input.LA(1)=='n'||input.LA(1)=='r'||input.LA(1)=='t' ) {
                    	        input.consume();

                    	    }
                    	    else {
                    	        MismatchedSetException mse =
                    	            new MismatchedSetException(null,input);
                    	        recover(mse);    throw mse;
                    	    }


                    	    }
                    	    break;
                    	case 2 :
                    	    // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:133:62: ~ ( ( '\\\\' | '\"' ) )
                    	    {
                    	    if ( (input.LA(1)>='\u0000' && input.LA(1)<='!')||(input.LA(1)>='#' && input.LA(1)<='[')||(input.LA(1)>=']' && input.LA(1)<='\uFFFE') ) {
                    	        input.consume();

                    	    }
                    	    else {
                    	        MismatchedSetException mse =
                    	            new MismatchedSetException(null,input);
                    	        recover(mse);    throw mse;
                    	    }


                    	    }
                    	    break;

                    	default :
                    	    break loop4;
                        }
                    } while (true);

                    match('\"'); 

                    }
                    break;
                case 2 :
                    // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:133:82: '\\'' ( '\\\\' ( 'b' | 't' | 'n' | 'f' | 'r' | '\"' | '\\'' | '\\\\' ) | ~ ( ( '\\\\' | '\\'' ) ) )* '\\''
                    {
                    match('\''); 
                    // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:133:87: ( '\\\\' ( 'b' | 't' | 'n' | 'f' | 'r' | '\"' | '\\'' | '\\\\' ) | ~ ( ( '\\\\' | '\\'' ) ) )*
                    loop5:
                    do {
                        int alt5=3;
                        int LA5_0 = input.LA(1);

                        if ( (LA5_0=='\\') ) {
                            alt5=1;
                        }
                        else if ( ((LA5_0>='\u0000' && LA5_0<='&')||(LA5_0>='(' && LA5_0<='[')||(LA5_0>=']' && LA5_0<='\uFFFE')) ) {
                            alt5=2;
                        }


                        switch (alt5) {
                    	case 1 :
                    	    // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:133:88: '\\\\' ( 'b' | 't' | 'n' | 'f' | 'r' | '\"' | '\\'' | '\\\\' )
                    	    {
                    	    match('\\'); 
                    	    if ( input.LA(1)=='\"'||input.LA(1)=='\''||input.LA(1)=='\\'||input.LA(1)=='b'||input.LA(1)=='f'||input.LA(1)=='n'||input.LA(1)=='r'||input.LA(1)=='t' ) {
                    	        input.consume();

                    	    }
                    	    else {
                    	        MismatchedSetException mse =
                    	            new MismatchedSetException(null,input);
                    	        recover(mse);    throw mse;
                    	    }


                    	    }
                    	    break;
                    	case 2 :
                    	    // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:133:129: ~ ( ( '\\\\' | '\\'' ) )
                    	    {
                    	    if ( (input.LA(1)>='\u0000' && input.LA(1)<='&')||(input.LA(1)>='(' && input.LA(1)<='[')||(input.LA(1)>=']' && input.LA(1)<='\uFFFE') ) {
                    	        input.consume();

                    	    }
                    	    else {
                    	        MismatchedSetException mse =
                    	            new MismatchedSetException(null,input);
                    	        recover(mse);    throw mse;
                    	    }


                    	    }
                    	    break;

                    	default :
                    	    break loop5;
                        }
                    } while (true);

                    match('\''); 

                    }
                    break;

            }


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end RULE_STRING

    // $ANTLR start RULE_ML_COMMENT
    public final void mRULE_ML_COMMENT() throws RecognitionException {
        try {
            int _type = RULE_ML_COMMENT;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:135:17: ( '/*' ( options {greedy=false; } : . )* '*/' )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:135:19: '/*' ( options {greedy=false; } : . )* '*/'
            {
            match("/*"); 

            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:135:24: ( options {greedy=false; } : . )*
            loop7:
            do {
                int alt7=2;
                int LA7_0 = input.LA(1);

                if ( (LA7_0=='*') ) {
                    int LA7_1 = input.LA(2);

                    if ( (LA7_1=='/') ) {
                        alt7=2;
                    }
                    else if ( ((LA7_1>='\u0000' && LA7_1<='.')||(LA7_1>='0' && LA7_1<='\uFFFE')) ) {
                        alt7=1;
                    }


                }
                else if ( ((LA7_0>='\u0000' && LA7_0<=')')||(LA7_0>='+' && LA7_0<='\uFFFE')) ) {
                    alt7=1;
                }


                switch (alt7) {
            	case 1 :
            	    // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:135:52: .
            	    {
            	    matchAny(); 

            	    }
            	    break;

            	default :
            	    break loop7;
                }
            } while (true);

            match("*/"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end RULE_ML_COMMENT

    // $ANTLR start RULE_SL_COMMENT
    public final void mRULE_SL_COMMENT() throws RecognitionException {
        try {
            int _type = RULE_SL_COMMENT;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:137:17: ( '//' (~ ( ( '\\n' | '\\r' ) ) )* ( ( '\\r' )? '\\n' )? )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:137:19: '//' (~ ( ( '\\n' | '\\r' ) ) )* ( ( '\\r' )? '\\n' )?
            {
            match("//"); 

            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:137:24: (~ ( ( '\\n' | '\\r' ) ) )*
            loop8:
            do {
                int alt8=2;
                int LA8_0 = input.LA(1);

                if ( ((LA8_0>='\u0000' && LA8_0<='\t')||(LA8_0>='\u000B' && LA8_0<='\f')||(LA8_0>='\u000E' && LA8_0<='\uFFFE')) ) {
                    alt8=1;
                }


                switch (alt8) {
            	case 1 :
            	    // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:137:24: ~ ( ( '\\n' | '\\r' ) )
            	    {
            	    if ( (input.LA(1)>='\u0000' && input.LA(1)<='\t')||(input.LA(1)>='\u000B' && input.LA(1)<='\f')||(input.LA(1)>='\u000E' && input.LA(1)<='\uFFFE') ) {
            	        input.consume();

            	    }
            	    else {
            	        MismatchedSetException mse =
            	            new MismatchedSetException(null,input);
            	        recover(mse);    throw mse;
            	    }


            	    }
            	    break;

            	default :
            	    break loop8;
                }
            } while (true);

            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:137:40: ( ( '\\r' )? '\\n' )?
            int alt10=2;
            int LA10_0 = input.LA(1);

            if ( (LA10_0=='\n'||LA10_0=='\r') ) {
                alt10=1;
            }
            switch (alt10) {
                case 1 :
                    // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:137:41: ( '\\r' )? '\\n'
                    {
                    // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:137:41: ( '\\r' )?
                    int alt9=2;
                    int LA9_0 = input.LA(1);

                    if ( (LA9_0=='\r') ) {
                        alt9=1;
                    }
                    switch (alt9) {
                        case 1 :
                            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:137:41: '\\r'
                            {
                            match('\r'); 

                            }
                            break;

                    }

                    match('\n'); 

                    }
                    break;

            }


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end RULE_SL_COMMENT

    // $ANTLR start RULE_WS
    public final void mRULE_WS() throws RecognitionException {
        try {
            int _type = RULE_WS;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:139:9: ( ( ' ' | '\\t' | '\\r' | '\\n' )+ )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:139:11: ( ' ' | '\\t' | '\\r' | '\\n' )+
            {
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:139:11: ( ' ' | '\\t' | '\\r' | '\\n' )+
            int cnt11=0;
            loop11:
            do {
                int alt11=2;
                int LA11_0 = input.LA(1);

                if ( ((LA11_0>='\t' && LA11_0<='\n')||LA11_0=='\r'||LA11_0==' ') ) {
                    alt11=1;
                }


                switch (alt11) {
            	case 1 :
            	    // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:
            	    {
            	    if ( (input.LA(1)>='\t' && input.LA(1)<='\n')||input.LA(1)=='\r'||input.LA(1)==' ' ) {
            	        input.consume();

            	    }
            	    else {
            	        MismatchedSetException mse =
            	            new MismatchedSetException(null,input);
            	        recover(mse);    throw mse;
            	    }


            	    }
            	    break;

            	default :
            	    if ( cnt11 >= 1 ) break loop11;
                        EarlyExitException eee =
                            new EarlyExitException(11, input);
                        throw eee;
                }
                cnt11++;
            } while (true);


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end RULE_WS

    // $ANTLR start RULE_ANY_OTHER
    public final void mRULE_ANY_OTHER() throws RecognitionException {
        try {
            int _type = RULE_ANY_OTHER;
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:141:16: ( . )
            // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:141:18: .
            {
            matchAny(); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end RULE_ANY_OTHER

    public void mTokens() throws RecognitionException {
        // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:8: ( KEYWORD_54 | KEYWORD_53 | KEYWORD_52 | KEYWORD_50 | KEYWORD_51 | KEYWORD_48 | KEYWORD_49 | KEYWORD_45 | KEYWORD_46 | KEYWORD_47 | KEYWORD_40 | KEYWORD_41 | KEYWORD_42 | KEYWORD_43 | KEYWORD_44 | KEYWORD_37 | KEYWORD_38 | KEYWORD_39 | KEYWORD_31 | KEYWORD_32 | KEYWORD_33 | KEYWORD_34 | KEYWORD_35 | KEYWORD_36 | KEYWORD_29 | KEYWORD_30 | KEYWORD_23 | KEYWORD_24 | KEYWORD_25 | KEYWORD_26 | KEYWORD_27 | KEYWORD_28 | KEYWORD_20 | KEYWORD_21 | KEYWORD_22 | KEYWORD_14 | KEYWORD_15 | KEYWORD_16 | KEYWORD_17 | KEYWORD_18 | KEYWORD_19 | KEYWORD_1 | KEYWORD_2 | KEYWORD_3 | KEYWORD_4 | KEYWORD_5 | KEYWORD_6 | KEYWORD_7 | KEYWORD_8 | KEYWORD_9 | KEYWORD_10 | KEYWORD_11 | KEYWORD_12 | KEYWORD_13 | RULE_ID | RULE_INT | RULE_STRING | RULE_ML_COMMENT | RULE_SL_COMMENT | RULE_WS | RULE_ANY_OTHER )
        int alt12=61;
        int LA12_0 = input.LA(1);

        if ( (LA12_0=='g') ) {
            int LA12_1 = input.LA(2);

            if ( (LA12_1=='e') ) {
                int LA12_36 = input.LA(3);

                if ( (LA12_36=='t') ) {
                    switch ( input.LA(4) ) {
                    case 'S':
                        {
                        int LA12_115 = input.LA(5);

                        if ( (LA12_115=='e') ) {
                            int LA12_145 = input.LA(6);

                            if ( (LA12_145=='l') ) {
                                int LA12_173 = input.LA(7);

                                if ( (LA12_173=='e') ) {
                                    int LA12_195 = input.LA(8);

                                    if ( (LA12_195=='c') ) {
                                        int LA12_215 = input.LA(9);

                                        if ( (LA12_215=='t') ) {
                                            switch ( input.LA(10) ) {
                                            case 'i':
                                                {
                                                int LA12_244 = input.LA(11);

                                                if ( (LA12_244=='o') ) {
                                                    int LA12_256 = input.LA(12);

                                                    if ( (LA12_256=='n') ) {
                                                        int LA12_264 = input.LA(13);

                                                        if ( (LA12_264=='C') ) {
                                                            int LA12_270 = input.LA(14);

                                                            if ( (LA12_270=='o') ) {
                                                                int LA12_274 = input.LA(15);

                                                                if ( (LA12_274=='u') ) {
                                                                    int LA12_277 = input.LA(16);

                                                                    if ( (LA12_277=='n') ) {
                                                                        int LA12_279 = input.LA(17);

                                                                        if ( (LA12_279=='t') ) {
                                                                            int LA12_281 = input.LA(18);

                                                                            if ( (LA12_281=='(') ) {
                                                                                alt12=1;
                                                                            }
                                                                            else {
                                                                                alt12=55;}
                                                                        }
                                                                        else {
                                                                            alt12=55;}
                                                                    }
                                                                    else {
                                                                        alt12=55;}
                                                                }
                                                                else {
                                                                    alt12=55;}
                                                            }
                                                            else {
                                                                alt12=55;}
                                                        }
                                                        else {
                                                            alt12=55;}
                                                    }
                                                    else {
                                                        alt12=55;}
                                                }
                                                else {
                                                    alt12=55;}
                                                }
                                                break;
                                            case 'e':
                                                {
                                                int LA12_245 = input.LA(11);

                                                if ( (LA12_245=='d') ) {
                                                    int LA12_257 = input.LA(12);

                                                    if ( (LA12_257=='V') ) {
                                                        int LA12_265 = input.LA(13);

                                                        if ( (LA12_265=='a') ) {
                                                            int LA12_271 = input.LA(14);

                                                            if ( (LA12_271=='l') ) {
                                                                int LA12_275 = input.LA(15);

                                                                if ( (LA12_275=='u') ) {
                                                                    int LA12_278 = input.LA(16);

                                                                    if ( (LA12_278=='e') ) {
                                                                        int LA12_280 = input.LA(17);

                                                                        if ( (LA12_280=='(') ) {
                                                                            alt12=2;
                                                                        }
                                                                        else {
                                                                            alt12=55;}
                                                                    }
                                                                    else {
                                                                        alt12=55;}
                                                                }
                                                                else {
                                                                    alt12=55;}
                                                            }
                                                            else {
                                                                alt12=55;}
                                                        }
                                                        else {
                                                            alt12=55;}
                                                    }
                                                    else {
                                                        alt12=55;}
                                                }
                                                else {
                                                    alt12=55;}
                                                }
                                                break;
                                            default:
                                                alt12=55;}

                                        }
                                        else {
                                            alt12=55;}
                                    }
                                    else {
                                        alt12=55;}
                                }
                                else {
                                    alt12=55;}
                            }
                            else {
                                alt12=55;}
                        }
                        else {
                            alt12=55;}
                        }
                        break;
                    case 'V':
                        {
                        int LA12_116 = input.LA(5);

                        if ( (LA12_116=='a') ) {
                            int LA12_146 = input.LA(6);

                            if ( (LA12_146=='l') ) {
                                int LA12_174 = input.LA(7);

                                if ( (LA12_174=='u') ) {
                                    int LA12_196 = input.LA(8);

                                    if ( (LA12_196=='e') ) {
                                        int LA12_216 = input.LA(9);

                                        if ( (LA12_216=='(') ) {
                                            alt12=8;
                                        }
                                        else {
                                            alt12=55;}
                                    }
                                    else {
                                        alt12=55;}
                                }
                                else {
                                    alt12=55;}
                            }
                            else {
                                alt12=55;}
                        }
                        else {
                            alt12=55;}
                        }
                        break;
                    default:
                        alt12=55;}

                }
                else {
                    alt12=55;}
            }
            else {
                alt12=55;}
        }
        else if ( (LA12_0=='i') ) {
            switch ( input.LA(2) ) {
            case 'm':
                {
                int LA12_38 = input.LA(3);

                if ( (LA12_38=='p') ) {
                    int LA12_86 = input.LA(4);

                    if ( (LA12_86=='o') ) {
                        int LA12_117 = input.LA(5);

                        if ( (LA12_117=='r') ) {
                            int LA12_147 = input.LA(6);

                            if ( (LA12_147=='t') ) {
                                int LA12_175 = input.LA(7);

                                if ( ((LA12_175>='0' && LA12_175<='9')||(LA12_175>='A' && LA12_175<='Z')||LA12_175=='_'||(LA12_175>='a' && LA12_175<='z')) ) {
                                    alt12=55;
                                }
                                else {
                                    alt12=21;}
                            }
                            else {
                                alt12=55;}
                        }
                        else {
                            alt12=55;}
                    }
                    else {
                        alt12=55;}
                }
                else {
                    alt12=55;}
                }
                break;
            case 'n':
                {
                switch ( input.LA(3) ) {
                case 't':
                    {
                    int LA12_87 = input.LA(4);

                    if ( (LA12_87=='e') ) {
                        int LA12_118 = input.LA(5);

                        if ( (LA12_118=='g') ) {
                            int LA12_148 = input.LA(6);

                            if ( (LA12_148=='e') ) {
                                int LA12_176 = input.LA(7);

                                if ( (LA12_176=='r') ) {
                                    int LA12_198 = input.LA(8);

                                    if ( ((LA12_198>='0' && LA12_198<='9')||(LA12_198>='A' && LA12_198<='Z')||LA12_198=='_'||(LA12_198>='a' && LA12_198<='z')) ) {
                                        alt12=55;
                                    }
                                    else {
                                        alt12=17;}
                                }
                                else {
                                    alt12=55;}
                            }
                            else {
                                alt12=55;}
                        }
                        else {
                            alt12=55;}
                    }
                    else {
                        alt12=55;}
                    }
                    break;
                case 's':
                    {
                    int LA12_88 = input.LA(4);

                    if ( (LA12_88=='t') ) {
                        int LA12_119 = input.LA(5);

                        if ( (LA12_119=='a') ) {
                            int LA12_149 = input.LA(6);

                            if ( (LA12_149=='n') ) {
                                int LA12_177 = input.LA(7);

                                if ( (LA12_177=='c') ) {
                                    int LA12_199 = input.LA(8);

                                    if ( (LA12_199=='e') ) {
                                        switch ( input.LA(9) ) {
                                        case 't':
                                            {
                                            int LA12_233 = input.LA(10);

                                            if ( (LA12_233=='y') ) {
                                                int LA12_246 = input.LA(11);

                                                if ( (LA12_246=='p') ) {
                                                    int LA12_258 = input.LA(12);

                                                    if ( (LA12_258=='e') ) {
                                                        int LA12_266 = input.LA(13);

                                                        if ( ((LA12_266>='0' && LA12_266<='9')||(LA12_266>='A' && LA12_266<='Z')||LA12_266=='_'||(LA12_266>='a' && LA12_266<='z')) ) {
                                                            alt12=55;
                                                        }
                                                        else {
                                                            alt12=4;}
                                                    }
                                                    else {
                                                        alt12=55;}
                                                }
                                                else {
                                                    alt12=55;}
                                            }
                                            else {
                                                alt12=55;}
                                            }
                                            break;
                                        case 'c':
                                            {
                                            int LA12_234 = input.LA(10);

                                            if ( (LA12_234=='l') ) {
                                                int LA12_247 = input.LA(11);

                                                if ( (LA12_247=='a') ) {
                                                    int LA12_259 = input.LA(12);

                                                    if ( (LA12_259=='s') ) {
                                                        int LA12_267 = input.LA(13);

                                                        if ( (LA12_267=='s') ) {
                                                            int LA12_273 = input.LA(14);

                                                            if ( ((LA12_273>='0' && LA12_273<='9')||(LA12_273>='A' && LA12_273<='Z')||LA12_273=='_'||(LA12_273>='a' && LA12_273<='z')) ) {
                                                                alt12=55;
                                                            }
                                                            else {
                                                                alt12=3;}
                                                        }
                                                        else {
                                                            alt12=55;}
                                                    }
                                                    else {
                                                        alt12=55;}
                                                }
                                                else {
                                                    alt12=55;}
                                            }
                                            else {
                                                alt12=55;}
                                            }
                                            break;
                                        default:
                                            alt12=55;}

                                    }
                                    else {
                                        alt12=55;}
                                }
                                else {
                                    alt12=55;}
                            }
                            else {
                                alt12=55;}
                        }
                        else {
                            alt12=55;}
                    }
                    else {
                        alt12=55;}
                    }
                    break;
                case 'c':
                    {
                    int LA12_89 = input.LA(4);

                    if ( (LA12_89=='r') ) {
                        int LA12_120 = input.LA(5);

                        if ( (LA12_120=='e') ) {
                            int LA12_150 = input.LA(6);

                            if ( (LA12_150=='m') ) {
                                int LA12_178 = input.LA(7);

                                if ( (LA12_178=='e') ) {
                                    int LA12_200 = input.LA(8);

                                    if ( (LA12_200=='n') ) {
                                        int LA12_219 = input.LA(9);

                                        if ( (LA12_219=='t') ) {
                                            int LA12_235 = input.LA(10);

                                            if ( (LA12_235=='e') ) {
                                                int LA12_248 = input.LA(11);

                                                if ( (LA12_248=='r') ) {
                                                    int LA12_260 = input.LA(12);

                                                    if ( ((LA12_260>='0' && LA12_260<='9')||(LA12_260>='A' && LA12_260<='Z')||LA12_260=='_'||(LA12_260>='a' && LA12_260<='z')) ) {
                                                        alt12=55;
                                                    }
                                                    else {
                                                        alt12=7;}
                                                }
                                                else {
                                                    alt12=55;}
                                            }
                                            else {
                                                alt12=55;}
                                        }
                                        else {
                                            alt12=55;}
                                    }
                                    else {
                                        alt12=55;}
                                }
                                else {
                                    alt12=55;}
                            }
                            else {
                                alt12=55;}
                        }
                        else {
                            alt12=55;}
                    }
                    else {
                        alt12=55;}
                    }
                    break;
                default:
                    alt12=55;}

                }
                break;
            case 's':
                {
                switch ( input.LA(3) ) {
                case 'V':
                    {
                    int LA12_90 = input.LA(4);

                    if ( (LA12_90=='a') ) {
                        int LA12_121 = input.LA(5);

                        if ( (LA12_121=='l') ) {
                            int LA12_151 = input.LA(6);

                            if ( (LA12_151=='i') ) {
                                int LA12_179 = input.LA(7);

                                if ( (LA12_179=='d') ) {
                                    int LA12_201 = input.LA(8);

                                    if ( (LA12_201=='(') ) {
                                        alt12=11;
                                    }
                                    else {
                                        alt12=55;}
                                }
                                else {
                                    alt12=55;}
                            }
                            else {
                                alt12=55;}
                        }
                        else {
                            alt12=55;}
                    }
                    else {
                        alt12=55;}
                    }
                    break;
                case 'S':
                    {
                    int LA12_91 = input.LA(4);

                    if ( (LA12_91=='e') ) {
                        int LA12_122 = input.LA(5);

                        if ( (LA12_122=='l') ) {
                            int LA12_152 = input.LA(6);

                            if ( (LA12_152=='e') ) {
                                int LA12_180 = input.LA(7);

                                if ( (LA12_180=='c') ) {
                                    int LA12_202 = input.LA(8);

                                    if ( (LA12_202=='t') ) {
                                        int LA12_221 = input.LA(9);

                                        if ( (LA12_221=='e') ) {
                                            int LA12_236 = input.LA(10);

                                            if ( (LA12_236=='d') ) {
                                                int LA12_249 = input.LA(11);

                                                if ( (LA12_249=='(') ) {
                                                    alt12=5;
                                                }
                                                else {
                                                    alt12=55;}
                                            }
                                            else {
                                                alt12=55;}
                                        }
                                        else {
                                            alt12=55;}
                                    }
                                    else {
                                        alt12=55;}
                                }
                                else {
                                    alt12=55;}
                            }
                            else {
                                alt12=55;}
                        }
                        else {
                            alt12=55;}
                    }
                    else {
                        alt12=55;}
                    }
                    break;
                default:
                    alt12=55;}

                }
                break;
            default:
                alt12=55;}

        }
        else if ( (LA12_0=='e') ) {
            switch ( input.LA(2) ) {
            case 'n':
                {
                int LA12_41 = input.LA(3);

                if ( (LA12_41=='u') ) {
                    int LA12_92 = input.LA(4);

                    if ( (LA12_92=='m') ) {
                        switch ( input.LA(5) ) {
                        case 'e':
                            {
                            int LA12_153 = input.LA(6);

                            if ( (LA12_153=='r') ) {
                                int LA12_181 = input.LA(7);

                                if ( (LA12_181=='a') ) {
                                    int LA12_203 = input.LA(8);

                                    if ( (LA12_203=='t') ) {
                                        int LA12_222 = input.LA(9);

                                        if ( (LA12_222=='i') ) {
                                            int LA12_237 = input.LA(10);

                                            if ( (LA12_237=='o') ) {
                                                int LA12_250 = input.LA(11);

                                                if ( (LA12_250=='n') ) {
                                                    int LA12_262 = input.LA(12);

                                                    if ( ((LA12_262>='0' && LA12_262<='9')||(LA12_262>='A' && LA12_262<='Z')||LA12_262=='_'||(LA12_262>='a' && LA12_262<='z')) ) {
                                                        alt12=55;
                                                    }
                                                    else {
                                                        alt12=6;}
                                                }
                                                else {
                                                    alt12=55;}
                                            }
                                            else {
                                                alt12=55;}
                                        }
                                        else {
                                            alt12=55;}
                                    }
                                    else {
                                        alt12=55;}
                                }
                                else {
                                    alt12=55;}
                            }
                            else {
                                alt12=55;}
                            }
                            break;
                        case '0':
                        case '1':
                        case '2':
                        case '3':
                        case '4':
                        case '5':
                        case '6':
                        case '7':
                        case '8':
                        case '9':
                        case 'A':
                        case 'B':
                        case 'C':
                        case 'D':
                        case 'E':
                        case 'F':
                        case 'G':
                        case 'H':
                        case 'I':
                        case 'J':
                        case 'K':
                        case 'L':
                        case 'M':
                        case 'N':
                        case 'O':
                        case 'P':
                        case 'Q':
                        case 'R':
                        case 'S':
                        case 'T':
                        case 'U':
                        case 'V':
                        case 'W':
                        case 'X':
                        case 'Y':
                        case 'Z':
                        case '_':
                        case 'a':
                        case 'b':
                        case 'c':
                        case 'd':
                        case 'f':
                        case 'g':
                        case 'h':
                        case 'i':
                        case 'j':
                        case 'k':
                        case 'l':
                        case 'm':
                        case 'n':
                        case 'o':
                        case 'p':
                        case 'q':
                        case 'r':
                        case 's':
                        case 't':
                        case 'u':
                        case 'v':
                        case 'w':
                        case 'x':
                        case 'y':
                        case 'z':
                            {
                            alt12=55;
                            }
                            break;
                        default:
                            alt12=29;}

                    }
                    else {
                        alt12=55;}
                }
                else {
                    alt12=55;}
                }
                break;
            case 'd':
                {
                int LA12_42 = input.LA(3);

                if ( (LA12_42=='i') ) {
                    int LA12_93 = input.LA(4);

                    if ( (LA12_93=='t') ) {
                        int LA12_124 = input.LA(5);

                        if ( (LA12_124=='o') ) {
                            int LA12_155 = input.LA(6);

                            if ( (LA12_155=='r') ) {
                                int LA12_182 = input.LA(7);

                                if ( ((LA12_182>='0' && LA12_182<='9')||(LA12_182>='A' && LA12_182<='Z')||LA12_182=='_'||(LA12_182>='a' && LA12_182<='z')) ) {
                                    alt12=55;
                                }
                                else {
                                    alt12=20;}
                            }
                            else {
                                alt12=55;}
                        }
                        else {
                            alt12=55;}
                    }
                    else {
                        alt12=55;}
                }
                else {
                    alt12=55;}
                }
                break;
            default:
                alt12=55;}

        }
        else if ( (LA12_0=='h') ) {
            int LA12_4 = input.LA(2);

            if ( (LA12_4=='a') ) {
                int LA12_43 = input.LA(3);

                if ( (LA12_43=='s') ) {
                    int LA12_94 = input.LA(4);

                    if ( (LA12_94=='V') ) {
                        int LA12_125 = input.LA(5);

                        if ( (LA12_125=='a') ) {
                            int LA12_156 = input.LA(6);

                            if ( (LA12_156=='l') ) {
                                int LA12_183 = input.LA(7);

                                if ( (LA12_183=='u') ) {
                                    int LA12_205 = input.LA(8);

                                    if ( (LA12_205=='e') ) {
                                        int LA12_223 = input.LA(9);

                                        if ( (LA12_223=='(') ) {
                                            alt12=9;
                                        }
                                        else {
                                            alt12=55;}
                                    }
                                    else {
                                        alt12=55;}
                                }
                                else {
                                    alt12=55;}
                            }
                            else {
                                alt12=55;}
                        }
                        else {
                            alt12=55;}
                    }
                    else {
                        alt12=55;}
                }
                else {
                    alt12=55;}
            }
            else {
                alt12=55;}
        }
        else if ( (LA12_0=='v') ) {
            int LA12_5 = input.LA(2);

            if ( (LA12_5=='a') ) {
                int LA12_44 = input.LA(3);

                if ( (LA12_44=='l') ) {
                    int LA12_95 = input.LA(4);

                    if ( (LA12_95=='i') ) {
                        int LA12_126 = input.LA(5);

                        if ( (LA12_126=='d') ) {
                            int LA12_157 = input.LA(6);

                            if ( (LA12_157=='a') ) {
                                int LA12_184 = input.LA(7);

                                if ( (LA12_184=='t') ) {
                                    switch ( input.LA(8) ) {
                                    case 'o':
                                        {
                                        int LA12_224 = input.LA(9);

                                        if ( (LA12_224=='r') ) {
                                            int LA12_239 = input.LA(10);

                                            if ( ((LA12_239>='0' && LA12_239<='9')||(LA12_239>='A' && LA12_239<='Z')||LA12_239=='_'||(LA12_239>='a' && LA12_239<='z')) ) {
                                                alt12=55;
                                            }
                                            else {
                                                alt12=15;}
                                        }
                                        else {
                                            alt12=55;}
                                        }
                                        break;
                                    case 'i':
                                        {
                                        int LA12_225 = input.LA(9);

                                        if ( (LA12_225=='o') ) {
                                            int LA12_240 = input.LA(10);

                                            if ( (LA12_240=='n') ) {
                                                int LA12_252 = input.LA(11);

                                                if ( ((LA12_252>='0' && LA12_252<='9')||(LA12_252>='A' && LA12_252<='Z')||LA12_252=='_'||(LA12_252>='a' && LA12_252<='z')) ) {
                                                    alt12=55;
                                                }
                                                else {
                                                    alt12=10;}
                                            }
                                            else {
                                                alt12=55;}
                                        }
                                        else {
                                            alt12=55;}
                                        }
                                        break;
                                    default:
                                        alt12=55;}

                                }
                                else {
                                    alt12=55;}
                            }
                            else {
                                alt12=55;}
                        }
                        else {
                            alt12=55;}
                    }
                    else {
                        alt12=55;}
                }
                else {
                    alt12=55;}
            }
            else {
                alt12=55;}
        }
        else if ( (LA12_0=='n') ) {
            switch ( input.LA(2) ) {
            case 'u':
                {
                switch ( input.LA(3) ) {
                case 'l':
                    {
                    int LA12_96 = input.LA(4);

                    if ( (LA12_96=='l') ) {
                        int LA12_127 = input.LA(5);

                        if ( ((LA12_127>='0' && LA12_127<='9')||(LA12_127>='A' && LA12_127<='Z')||LA12_127=='_'||(LA12_127>='a' && LA12_127<='z')) ) {
                            alt12=55;
                        }
                        else {
                            alt12=30;}
                    }
                    else {
                        alt12=55;}
                    }
                    break;
                case 'm':
                    {
                    int LA12_97 = input.LA(4);

                    if ( (LA12_97=='b') ) {
                        int LA12_128 = input.LA(5);

                        if ( (LA12_128=='e') ) {
                            int LA12_159 = input.LA(6);

                            if ( (LA12_159=='r') ) {
                                int LA12_185 = input.LA(7);

                                if ( ((LA12_185>='0' && LA12_185<='9')||(LA12_185>='A' && LA12_185<='Z')||LA12_185=='_'||(LA12_185>='a' && LA12_185<='z')) ) {
                                    alt12=55;
                                }
                                else {
                                    alt12=22;}
                            }
                            else {
                                alt12=55;}
                        }
                        else {
                            alt12=55;}
                    }
                    else {
                        alt12=55;}
                    }
                    break;
                default:
                    alt12=55;}

                }
                break;
            case 'a':
                {
                int LA12_46 = input.LA(3);

                if ( (LA12_46=='m') ) {
                    int LA12_98 = input.LA(4);

                    if ( (LA12_98=='e') ) {
                        int LA12_129 = input.LA(5);

                        if ( (LA12_129=='s') ) {
                            int LA12_160 = input.LA(6);

                            if ( (LA12_160=='p') ) {
                                int LA12_186 = input.LA(7);

                                if ( (LA12_186=='a') ) {
                                    int LA12_208 = input.LA(8);

                                    if ( (LA12_208=='c') ) {
                                        int LA12_226 = input.LA(9);

                                        if ( (LA12_226=='e') ) {
                                            int LA12_241 = input.LA(10);

                                            if ( ((LA12_241>='0' && LA12_241<='9')||(LA12_241>='A' && LA12_241<='Z')||LA12_241=='_'||(LA12_241>='a' && LA12_241<='z')) ) {
                                                alt12=55;
                                            }
                                            else {
                                                alt12=12;}
                                        }
                                        else {
                                            alt12=55;}
                                    }
                                    else {
                                        alt12=55;}
                                }
                                else {
                                    alt12=55;}
                            }
                            else {
                                alt12=55;}
                        }
                        else {
                            alt12=55;}
                    }
                    else {
                        alt12=55;}
                }
                else {
                    alt12=55;}
                }
                break;
            default:
                alt12=55;}

        }
        else if ( (LA12_0=='r') ) {
            int LA12_7 = input.LA(2);

            if ( (LA12_7=='e') ) {
                int LA12_47 = input.LA(3);

                if ( (LA12_47=='d') ) {
                    int LA12_99 = input.LA(4);

                    if ( (LA12_99=='e') ) {
                        int LA12_130 = input.LA(5);

                        if ( (LA12_130=='f') ) {
                            int LA12_161 = input.LA(6);

                            if ( (LA12_161=='i') ) {
                                int LA12_187 = input.LA(7);

                                if ( (LA12_187=='n') ) {
                                    int LA12_209 = input.LA(8);

                                    if ( (LA12_209=='e') ) {
                                        int LA12_227 = input.LA(9);

                                        if ( (LA12_227=='s') ) {
                                            int LA12_242 = input.LA(10);

                                            if ( ((LA12_242>='0' && LA12_242<='9')||(LA12_242>='A' && LA12_242<='Z')||LA12_242=='_'||(LA12_242>='a' && LA12_242<='z')) ) {
                                                alt12=55;
                                            }
                                            else {
                                                alt12=13;}
                                        }
                                        else {
                                            alt12=55;}
                                    }
                                    else {
                                        alt12=55;}
                                }
                                else {
                                    alt12=55;}
                            }
                            else {
                                alt12=55;}
                        }
                        else {
                            alt12=55;}
                    }
                    else {
                        alt12=55;}
                }
                else {
                    alt12=55;}
            }
            else {
                alt12=55;}
        }
        else if ( (LA12_0=='t') ) {
            switch ( input.LA(2) ) {
            case 'r':
                {
                int LA12_48 = input.LA(3);

                if ( (LA12_48=='u') ) {
                    int LA12_100 = input.LA(4);

                    if ( (LA12_100=='e') ) {
                        int LA12_131 = input.LA(5);

                        if ( ((LA12_131>='0' && LA12_131<='9')||(LA12_131>='A' && LA12_131<='Z')||LA12_131=='_'||(LA12_131>='a' && LA12_131<='z')) ) {
                            alt12=55;
                        }
                        else {
                            alt12=31;}
                    }
                    else {
                        alt12=55;}
                }
                else {
                    alt12=55;}
                }
                break;
            case 'y':
                {
                int LA12_49 = input.LA(3);

                if ( (LA12_49=='p') ) {
                    int LA12_101 = input.LA(4);

                    if ( (LA12_101=='e') ) {
                        int LA12_132 = input.LA(5);

                        if ( ((LA12_132>='0' && LA12_132<='9')||(LA12_132>='A' && LA12_132<='Z')||LA12_132=='_'||(LA12_132>='a' && LA12_132<='z')) ) {
                            alt12=55;
                        }
                        else {
                            alt12=32;}
                    }
                    else {
                        alt12=55;}
                }
                else {
                    alt12=55;}
                }
                break;
            case 'i':
                {
                int LA12_50 = input.LA(3);

                if ( (LA12_50=='m') ) {
                    int LA12_102 = input.LA(4);

                    if ( (LA12_102=='e') ) {
                        int LA12_133 = input.LA(5);

                        if ( (LA12_133=='s') ) {
                            int LA12_164 = input.LA(6);

                            if ( (LA12_164=='t') ) {
                                int LA12_188 = input.LA(7);

                                if ( (LA12_188=='a') ) {
                                    int LA12_210 = input.LA(8);

                                    if ( (LA12_210=='m') ) {
                                        int LA12_228 = input.LA(9);

                                        if ( (LA12_228=='p') ) {
                                            int LA12_243 = input.LA(10);

                                            if ( ((LA12_243>='0' && LA12_243<='9')||(LA12_243>='A' && LA12_243<='Z')||LA12_243=='_'||(LA12_243>='a' && LA12_243<='z')) ) {
                                                alt12=55;
                                            }
                                            else {
                                                alt12=14;}
                                        }
                                        else {
                                            alt12=55;}
                                    }
                                    else {
                                        alt12=55;}
                                }
                                else {
                                    alt12=55;}
                            }
                            else {
                                alt12=55;}
                        }
                        else {
                            alt12=55;}
                    }
                    else {
                        alt12=55;}
                }
                else {
                    alt12=55;}
                }
                break;
            default:
                alt12=55;}

        }
        else if ( (LA12_0=='b') ) {
            int LA12_9 = input.LA(2);

            if ( (LA12_9=='o') ) {
                int LA12_51 = input.LA(3);

                if ( (LA12_51=='o') ) {
                    int LA12_103 = input.LA(4);

                    if ( (LA12_103=='l') ) {
                        int LA12_134 = input.LA(5);

                        if ( (LA12_134=='e') ) {
                            int LA12_165 = input.LA(6);

                            if ( (LA12_165=='a') ) {
                                int LA12_189 = input.LA(7);

                                if ( (LA12_189=='n') ) {
                                    int LA12_211 = input.LA(8);

                                    if ( ((LA12_211>='0' && LA12_211<='9')||(LA12_211>='A' && LA12_211<='Z')||LA12_211=='_'||(LA12_211>='a' && LA12_211<='z')) ) {
                                        alt12=55;
                                    }
                                    else {
                                        alt12=16;}
                                }
                                else {
                                    alt12=55;}
                            }
                            else {
                                alt12=55;}
                        }
                        else {
                            alt12=55;}
                    }
                    else {
                        alt12=55;}
                }
                else {
                    alt12=55;}
            }
            else {
                alt12=55;}
        }
        else if ( (LA12_0=='s') ) {
            switch ( input.LA(2) ) {
            case 't':
                {
                switch ( input.LA(3) ) {
                case 'r':
                    {
                    int LA12_104 = input.LA(4);

                    if ( (LA12_104=='i') ) {
                        int LA12_135 = input.LA(5);

                        if ( (LA12_135=='n') ) {
                            int LA12_166 = input.LA(6);

                            if ( (LA12_166=='g') ) {
                                int LA12_190 = input.LA(7);

                                if ( ((LA12_190>='0' && LA12_190<='9')||(LA12_190>='A' && LA12_190<='Z')||LA12_190=='_'||(LA12_190>='a' && LA12_190<='z')) ) {
                                    alt12=55;
                                }
                                else {
                                    alt12=24;}
                            }
                            else {
                                alt12=55;}
                        }
                        else {
                            alt12=55;}
                    }
                    else {
                        alt12=55;}
                    }
                    break;
                case 'y':
                    {
                    int LA12_105 = input.LA(4);

                    if ( (LA12_105=='l') ) {
                        int LA12_136 = input.LA(5);

                        if ( (LA12_136=='e') ) {
                            int LA12_167 = input.LA(6);

                            if ( ((LA12_167>='0' && LA12_167<='9')||(LA12_167>='A' && LA12_167<='Z')||LA12_167=='_'||(LA12_167>='a' && LA12_167<='z')) ) {
                                alt12=55;
                            }
                            else {
                                alt12=26;}
                        }
                        else {
                            alt12=55;}
                    }
                    else {
                        alt12=55;}
                    }
                    break;
                default:
                    alt12=55;}

                }
                break;
            case 'i':
                {
                int LA12_53 = input.LA(3);

                if ( (LA12_53=='z') ) {
                    int LA12_106 = input.LA(4);

                    if ( (LA12_106=='e') ) {
                        int LA12_137 = input.LA(5);

                        if ( (LA12_137=='(') ) {
                            alt12=23;
                        }
                        else {
                            alt12=55;}
                    }
                    else {
                        alt12=55;}
                }
                else {
                    alt12=55;}
                }
                break;
            case 'q':
                {
                int LA12_54 = input.LA(3);

                if ( (LA12_54=='l') ) {
                    int LA12_107 = input.LA(4);

                    if ( (LA12_107=='t') ) {
                        int LA12_138 = input.LA(5);

                        if ( (LA12_138=='y') ) {
                            int LA12_169 = input.LA(6);

                            if ( (LA12_169=='p') ) {
                                int LA12_192 = input.LA(7);

                                if ( (LA12_192=='e') ) {
                                    int LA12_213 = input.LA(8);

                                    if ( ((LA12_213>='0' && LA12_213<='9')||(LA12_213>='A' && LA12_213<='Z')||LA12_213=='_'||(LA12_213>='a' && LA12_213<='z')) ) {
                                        alt12=55;
                                    }
                                    else {
                                        alt12=18;}
                                }
                                else {
                                    alt12=55;}
                            }
                            else {
                                alt12=55;}
                        }
                        else {
                            alt12=55;}
                    }
                    else {
                        alt12=55;}
                }
                else {
                    alt12=55;}
                }
                break;
            default:
                alt12=55;}

        }
        else if ( (LA12_0=='d') ) {
            switch ( input.LA(2) ) {
            case 'a':
                {
                int LA12_55 = input.LA(3);

                if ( (LA12_55=='t') ) {
                    int LA12_108 = input.LA(4);

                    if ( (LA12_108=='e') ) {
                        int LA12_139 = input.LA(5);

                        if ( ((LA12_139>='0' && LA12_139<='9')||(LA12_139>='A' && LA12_139<='Z')||LA12_139=='_'||(LA12_139>='a' && LA12_139<='z')) ) {
                            alt12=55;
                        }
                        else {
                            alt12=27;}
                    }
                    else {
                        alt12=55;}
                }
                else {
                    alt12=55;}
                }
                break;
            case 'o':
                {
                switch ( input.LA(3) ) {
                case 'c':
                    {
                    int LA12_109 = input.LA(4);

                    if ( (LA12_109==':') ) {
                        alt12=28;
                    }
                    else {
                        alt12=55;}
                    }
                    break;
                case 'm':
                    {
                    int LA12_110 = input.LA(4);

                    if ( (LA12_110=='a') ) {
                        int LA12_141 = input.LA(5);

                        if ( (LA12_141=='i') ) {
                            int LA12_171 = input.LA(6);

                            if ( (LA12_171=='n') ) {
                                int LA12_193 = input.LA(7);

                                if ( ((LA12_193>='0' && LA12_193<='9')||(LA12_193>='A' && LA12_193<='Z')||LA12_193=='_'||(LA12_193>='a' && LA12_193<='z')) ) {
                                    alt12=55;
                                }
                                else {
                                    alt12=19;}
                            }
                            else {
                                alt12=55;}
                        }
                        else {
                            alt12=55;}
                    }
                    else {
                        alt12=55;}
                    }
                    break;
                default:
                    alt12=55;}

                }
                break;
            case 'd':
                {
                int LA12_57 = input.LA(3);

                if ( (LA12_57=='l') ) {
                    int LA12_111 = input.LA(4);

                    if ( ((LA12_111>='0' && LA12_111<='9')||(LA12_111>='A' && LA12_111<='Z')||LA12_111=='_'||(LA12_111>='a' && LA12_111<='z')) ) {
                        alt12=55;
                    }
                    else {
                        alt12=35;}
                }
                else {
                    alt12=55;}
                }
                break;
            default:
                alt12=55;}

        }
        else if ( (LA12_0=='f') ) {
            int LA12_12 = input.LA(2);

            if ( (LA12_12=='a') ) {
                int LA12_58 = input.LA(3);

                if ( (LA12_58=='l') ) {
                    int LA12_112 = input.LA(4);

                    if ( (LA12_112=='s') ) {
                        int LA12_143 = input.LA(5);

                        if ( (LA12_143=='e') ) {
                            int LA12_172 = input.LA(6);

                            if ( ((LA12_172>='0' && LA12_172<='9')||(LA12_172>='A' && LA12_172<='Z')||LA12_172=='_'||(LA12_172>='a' && LA12_172<='z')) ) {
                                alt12=55;
                            }
                            else {
                                alt12=25;}
                        }
                        else {
                            alt12=55;}
                    }
                    else {
                        alt12=55;}
                }
                else {
                    alt12=55;}
            }
            else {
                alt12=55;}
        }
        else if ( (LA12_0=='.') ) {
            switch ( input.LA(2) ) {
            case '*':
                {
                alt12=37;
                }
                break;
            case '.':
                {
                alt12=33;
                }
                break;
            default:
                alt12=48;}

        }
        else if ( (LA12_0=='a') ) {
            int LA12_14 = input.LA(2);

            if ( (LA12_14=='n') ) {
                int LA12_62 = input.LA(3);

                if ( (LA12_62=='d') ) {
                    int LA12_113 = input.LA(4);

                    if ( ((LA12_113>='0' && LA12_113<='9')||(LA12_113>='A' && LA12_113<='Z')||LA12_113=='_'||(LA12_113>='a' && LA12_113<='z')) ) {
                        alt12=55;
                    }
                    else {
                        alt12=34;}
                }
                else {
                    alt12=55;}
            }
            else {
                alt12=55;}
        }
        else if ( (LA12_0=='!') ) {
            int LA12_15 = input.LA(2);

            if ( (LA12_15=='=') ) {
                alt12=36;
            }
            else {
                alt12=61;}
        }
        else if ( (LA12_0=='<') ) {
            int LA12_16 = input.LA(2);

            if ( (LA12_16=='=') ) {
                alt12=38;
            }
            else {
                alt12=50;}
        }
        else if ( (LA12_0=='=') ) {
            int LA12_17 = input.LA(2);

            if ( (LA12_17=='=') ) {
                alt12=39;
            }
            else {
                alt12=51;}
        }
        else if ( (LA12_0=='>') ) {
            int LA12_18 = input.LA(2);

            if ( (LA12_18=='=') ) {
                alt12=40;
            }
            else {
                alt12=52;}
        }
        else if ( (LA12_0=='o') ) {
            int LA12_19 = input.LA(2);

            if ( (LA12_19=='r') ) {
                int LA12_70 = input.LA(3);

                if ( ((LA12_70>='0' && LA12_70<='9')||(LA12_70>='A' && LA12_70<='Z')||LA12_70=='_'||(LA12_70>='a' && LA12_70<='z')) ) {
                    alt12=55;
                }
                else {
                    alt12=41;}
            }
            else {
                alt12=55;}
        }
        else if ( (LA12_0=='(') ) {
            alt12=42;
        }
        else if ( (LA12_0==')') ) {
            alt12=43;
        }
        else if ( (LA12_0=='*') ) {
            alt12=44;
        }
        else if ( (LA12_0=='+') ) {
            alt12=45;
        }
        else if ( (LA12_0==',') ) {
            alt12=46;
        }
        else if ( (LA12_0=='-') ) {
            alt12=47;
        }
        else if ( (LA12_0=='/') ) {
            switch ( input.LA(2) ) {
            case '*':
                {
                alt12=58;
                }
                break;
            case '/':
                {
                alt12=59;
                }
                break;
            default:
                alt12=49;}

        }
        else if ( (LA12_0=='{') ) {
            alt12=53;
        }
        else if ( (LA12_0=='}') ) {
            alt12=54;
        }
        else if ( (LA12_0=='^') ) {
            int LA12_29 = input.LA(2);

            if ( ((LA12_29>='A' && LA12_29<='Z')||LA12_29=='_'||(LA12_29>='a' && LA12_29<='z')) ) {
                alt12=55;
            }
            else {
                alt12=61;}
        }
        else if ( ((LA12_0>='A' && LA12_0<='Z')||LA12_0=='_'||LA12_0=='c'||(LA12_0>='j' && LA12_0<='m')||(LA12_0>='p' && LA12_0<='q')||LA12_0=='u'||(LA12_0>='w' && LA12_0<='z')) ) {
            alt12=55;
        }
        else if ( ((LA12_0>='0' && LA12_0<='9')) ) {
            alt12=56;
        }
        else if ( (LA12_0=='\"') ) {
            int LA12_32 = input.LA(2);

            if ( ((LA12_32>='\u0000' && LA12_32<='\uFFFE')) ) {
                alt12=57;
            }
            else {
                alt12=61;}
        }
        else if ( (LA12_0=='\'') ) {
            int LA12_33 = input.LA(2);

            if ( ((LA12_33>='\u0000' && LA12_33<='\uFFFE')) ) {
                alt12=57;
            }
            else {
                alt12=61;}
        }
        else if ( ((LA12_0>='\t' && LA12_0<='\n')||LA12_0=='\r'||LA12_0==' ') ) {
            alt12=60;
        }
        else if ( ((LA12_0>='\u0000' && LA12_0<='\b')||(LA12_0>='\u000B' && LA12_0<='\f')||(LA12_0>='\u000E' && LA12_0<='\u001F')||(LA12_0>='#' && LA12_0<='&')||(LA12_0>=':' && LA12_0<=';')||(LA12_0>='?' && LA12_0<='@')||(LA12_0>='[' && LA12_0<=']')||LA12_0=='`'||LA12_0=='|'||(LA12_0>='~' && LA12_0<='\uFFFE')) ) {
            alt12=61;
        }
        else {
            NoViableAltException nvae =
                new NoViableAltException("1:1: Tokens : ( KEYWORD_54 | KEYWORD_53 | KEYWORD_52 | KEYWORD_50 | KEYWORD_51 | KEYWORD_48 | KEYWORD_49 | KEYWORD_45 | KEYWORD_46 | KEYWORD_47 | KEYWORD_40 | KEYWORD_41 | KEYWORD_42 | KEYWORD_43 | KEYWORD_44 | KEYWORD_37 | KEYWORD_38 | KEYWORD_39 | KEYWORD_31 | KEYWORD_32 | KEYWORD_33 | KEYWORD_34 | KEYWORD_35 | KEYWORD_36 | KEYWORD_29 | KEYWORD_30 | KEYWORD_23 | KEYWORD_24 | KEYWORD_25 | KEYWORD_26 | KEYWORD_27 | KEYWORD_28 | KEYWORD_20 | KEYWORD_21 | KEYWORD_22 | KEYWORD_14 | KEYWORD_15 | KEYWORD_16 | KEYWORD_17 | KEYWORD_18 | KEYWORD_19 | KEYWORD_1 | KEYWORD_2 | KEYWORD_3 | KEYWORD_4 | KEYWORD_5 | KEYWORD_6 | KEYWORD_7 | KEYWORD_8 | KEYWORD_9 | KEYWORD_10 | KEYWORD_11 | KEYWORD_12 | KEYWORD_13 | RULE_ID | RULE_INT | RULE_STRING | RULE_ML_COMMENT | RULE_SL_COMMENT | RULE_WS | RULE_ANY_OTHER );", 12, 0, input);

            throw nvae;
        }
        switch (alt12) {
            case 1 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:10: KEYWORD_54
                {
                mKEYWORD_54(); 

                }
                break;
            case 2 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:21: KEYWORD_53
                {
                mKEYWORD_53(); 

                }
                break;
            case 3 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:32: KEYWORD_52
                {
                mKEYWORD_52(); 

                }
                break;
            case 4 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:43: KEYWORD_50
                {
                mKEYWORD_50(); 

                }
                break;
            case 5 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:54: KEYWORD_51
                {
                mKEYWORD_51(); 

                }
                break;
            case 6 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:65: KEYWORD_48
                {
                mKEYWORD_48(); 

                }
                break;
            case 7 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:76: KEYWORD_49
                {
                mKEYWORD_49(); 

                }
                break;
            case 8 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:87: KEYWORD_45
                {
                mKEYWORD_45(); 

                }
                break;
            case 9 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:98: KEYWORD_46
                {
                mKEYWORD_46(); 

                }
                break;
            case 10 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:109: KEYWORD_47
                {
                mKEYWORD_47(); 

                }
                break;
            case 11 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:120: KEYWORD_40
                {
                mKEYWORD_40(); 

                }
                break;
            case 12 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:131: KEYWORD_41
                {
                mKEYWORD_41(); 

                }
                break;
            case 13 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:142: KEYWORD_42
                {
                mKEYWORD_42(); 

                }
                break;
            case 14 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:153: KEYWORD_43
                {
                mKEYWORD_43(); 

                }
                break;
            case 15 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:164: KEYWORD_44
                {
                mKEYWORD_44(); 

                }
                break;
            case 16 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:175: KEYWORD_37
                {
                mKEYWORD_37(); 

                }
                break;
            case 17 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:186: KEYWORD_38
                {
                mKEYWORD_38(); 

                }
                break;
            case 18 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:197: KEYWORD_39
                {
                mKEYWORD_39(); 

                }
                break;
            case 19 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:208: KEYWORD_31
                {
                mKEYWORD_31(); 

                }
                break;
            case 20 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:219: KEYWORD_32
                {
                mKEYWORD_32(); 

                }
                break;
            case 21 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:230: KEYWORD_33
                {
                mKEYWORD_33(); 

                }
                break;
            case 22 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:241: KEYWORD_34
                {
                mKEYWORD_34(); 

                }
                break;
            case 23 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:252: KEYWORD_35
                {
                mKEYWORD_35(); 

                }
                break;
            case 24 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:263: KEYWORD_36
                {
                mKEYWORD_36(); 

                }
                break;
            case 25 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:274: KEYWORD_29
                {
                mKEYWORD_29(); 

                }
                break;
            case 26 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:285: KEYWORD_30
                {
                mKEYWORD_30(); 

                }
                break;
            case 27 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:296: KEYWORD_23
                {
                mKEYWORD_23(); 

                }
                break;
            case 28 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:307: KEYWORD_24
                {
                mKEYWORD_24(); 

                }
                break;
            case 29 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:318: KEYWORD_25
                {
                mKEYWORD_25(); 

                }
                break;
            case 30 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:329: KEYWORD_26
                {
                mKEYWORD_26(); 

                }
                break;
            case 31 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:340: KEYWORD_27
                {
                mKEYWORD_27(); 

                }
                break;
            case 32 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:351: KEYWORD_28
                {
                mKEYWORD_28(); 

                }
                break;
            case 33 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:362: KEYWORD_20
                {
                mKEYWORD_20(); 

                }
                break;
            case 34 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:373: KEYWORD_21
                {
                mKEYWORD_21(); 

                }
                break;
            case 35 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:384: KEYWORD_22
                {
                mKEYWORD_22(); 

                }
                break;
            case 36 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:395: KEYWORD_14
                {
                mKEYWORD_14(); 

                }
                break;
            case 37 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:406: KEYWORD_15
                {
                mKEYWORD_15(); 

                }
                break;
            case 38 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:417: KEYWORD_16
                {
                mKEYWORD_16(); 

                }
                break;
            case 39 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:428: KEYWORD_17
                {
                mKEYWORD_17(); 

                }
                break;
            case 40 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:439: KEYWORD_18
                {
                mKEYWORD_18(); 

                }
                break;
            case 41 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:450: KEYWORD_19
                {
                mKEYWORD_19(); 

                }
                break;
            case 42 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:461: KEYWORD_1
                {
                mKEYWORD_1(); 

                }
                break;
            case 43 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:471: KEYWORD_2
                {
                mKEYWORD_2(); 

                }
                break;
            case 44 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:481: KEYWORD_3
                {
                mKEYWORD_3(); 

                }
                break;
            case 45 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:491: KEYWORD_4
                {
                mKEYWORD_4(); 

                }
                break;
            case 46 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:501: KEYWORD_5
                {
                mKEYWORD_5(); 

                }
                break;
            case 47 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:511: KEYWORD_6
                {
                mKEYWORD_6(); 

                }
                break;
            case 48 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:521: KEYWORD_7
                {
                mKEYWORD_7(); 

                }
                break;
            case 49 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:531: KEYWORD_8
                {
                mKEYWORD_8(); 

                }
                break;
            case 50 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:541: KEYWORD_9
                {
                mKEYWORD_9(); 

                }
                break;
            case 51 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:551: KEYWORD_10
                {
                mKEYWORD_10(); 

                }
                break;
            case 52 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:562: KEYWORD_11
                {
                mKEYWORD_11(); 

                }
                break;
            case 53 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:573: KEYWORD_12
                {
                mKEYWORD_12(); 

                }
                break;
            case 54 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:584: KEYWORD_13
                {
                mKEYWORD_13(); 

                }
                break;
            case 55 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:595: RULE_ID
                {
                mRULE_ID(); 

                }
                break;
            case 56 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:603: RULE_INT
                {
                mRULE_INT(); 

                }
                break;
            case 57 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:612: RULE_STRING
                {
                mRULE_STRING(); 

                }
                break;
            case 58 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:624: RULE_ML_COMMENT
                {
                mRULE_ML_COMMENT(); 

                }
                break;
            case 59 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:640: RULE_SL_COMMENT
                {
                mRULE_SL_COMMENT(); 

                }
                break;
            case 60 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:656: RULE_WS
                {
                mRULE_WS(); 

                }
                break;
            case 61 :
                // ../org.openxma.dsl.core/src-gen/org/openxma/dsl/core/parser/antlr/lexer/InternalCoreDsl.g:1:664: RULE_ANY_OTHER
                {
                mRULE_ANY_OTHER(); 

                }
                break;

        }

    }


 

}